/*
 * Class RT_DBG_ATTRIBUTE_RECORD [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_663 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_663 [] = {0xFF01,237,662,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_663 [] = {0xFF01,662,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_663 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_663 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_663 [] = {0xFF01,662,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_663 [] = {0xFF01,662,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_663 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_663 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_663 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_663 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_663 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_663 [] = {662,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_663 [] = {0xFF01,662,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_663 [] = {0xFF01,261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_15_663 [] = {261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_16_663 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_17_663 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_18_663 [] = {0xFFF9,2,174,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_19_663 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_663 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_21_663 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_663 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_663 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_663 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_663 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_663[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_663), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_663), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_663), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_663), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_663), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_663), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_663), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_663), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_663), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_663), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_663), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_663), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_663), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_663), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_663), 1073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_663), 11799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 11802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 11769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11770, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11795, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_663), 11796, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_663), 11797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11911, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 11912, 16},
	{EIF_GENERIC(egt_18_663), 11913, 0},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 12461, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12462, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12463, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12464, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_663), 12466, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12467, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_663), 12458, 4},
	{EIF_GENERIC(egt_21_663), 12459, 20},
	{EIF_NON_GENERIC(0x0191 /*200*/), 12460, 8},
	{EIF_GENERIC(NULL), 12470, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_663), 12471, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_663), 12472, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_663), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_663), 12465, 0xFFFFFFFF},
};
void Init663(void)
{
	IDSC(desc_663, 0, 662);
	IDSC(desc_663 + 1, 1, 662);
	IDSC(desc_663 + 32, 330, 662);
	IDSC(desc_663 + 34, 82, 662);
	IDSC(desc_663 + 59, 309, 662);
	IDSC(desc_663 + 60, 334, 662);
	IDSC(desc_663 + 103, 150, 662);
	IDSC(desc_663 + 115, 90, 662);
	IDSC(desc_663 + 123, 336, 662);
}


#ifdef __cplusplus
}
#endif
